jQuery 2.0 and My Books

A number of readers who know that I work extensively with jQuery have written to tell me about changes to the support it provides for older versions of browsers. In fact, you can read about these changes in a recent InfoWorld article, “jQuery 2.0 drops support for old versions of Internet Explorer.” The article title is misleading because there are also apparently changes for other browsers such as Firefox and Chrome as well. My advise is to test your application to ensure it actually works as anticipated with the browsers you want to support before you upgrade to jQuery 2.0 in a production environment.

Of course, the concern from readers is that the code in my books will suddenly stop running in their browsers. There is no need for concern. Even though the examples in my latest book have an URL that points to http://code.jquery.com/jquery-latest.js, if you follow the link you’ll find that it actually uses the 1.9.1 version of the library, not the 2.0 version. If you want to be absolutely certain you won’t encounter any problems, you can always change this URL to http://code.jquery.com/jquery-1.9.1.js, which ensures you’ll continue using the 1.9.1 version no matter how the library changes its site.

As to whether I plan to use the new version of the library in upcoming books, it depends on what I see as trends in the market and requests that I receive from readers. As things are now, I probably won’t visit the 2.0 version in my books unless readers specifically request it. Even then, the majority of examples in my books will continue to use the 1.9.1 version until such time as the older browsers it supports lack sufficient market presence to make it a worthwhile tradeoff to continue using the older library. In other words, I’ll continue to support the version of the library that works for most people.

Your input is important to me. If you have a particular preference that differs from what I have stated in this post, please let me know at John@JohnMuellerBooks.com. My goal is to provide books that meet the needs of as many people as is possible. At some point, if enough readers find that the older examples in my books simply don’t work, I’ll do what I usually do and provide updated examples in my blog. Please be sure to let me know your thoughts about third party JavaScript libraries in general and jQuery in specific.